# Class Hover

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.TextShape
org.jmol.shape.Hover

public class Hover extends TextShape

## Field Summary

Fields
Modifier and Type
Field
Description
`String[]`
`atomFormats`
`int`
`atomIndex`
`Text`
`hoverText`
`String`
`labelFormat`
`String`
`specialLabel`
`String`
`text`
`P3i`
`xy`

### Fields inherited from class TextShape

`objects, thisID`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Hover()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initShape()`
`void`
`setProperty(String propertyName, Object value, BS bsSelected)`

### Methods inherited from class TextShape

`checkObjectClicked, checkObjectHovered, getShapeState, initModelSet, setModelVisibilityFlags, setPropTS`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setAtomClickability, setModelSet, setProperties, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hoverText

public Text hoverText

### atomIndex

public int atomIndex

### xy

public P3i xy

### text

public String text

### labelFormat

public String labelFormat

### atomFormats

public String[] atomFormats

### specialLabel

public String specialLabel

## Constructor Details

### Hover

public Hover()

## Method Details

### initShape

public void initShape()

Specified by:
  `initShape` in class `Shape`

### setProperty

public void setProperty(String propertyName, Object value, BS bsSelected)

Specified by:
  `setProperty` in class `Shape`